## EomApplication EomApplication |

## Functions

EomApplication * | eom_application_get_instance ()
gboolean | eom_application_open_window ()
gboolean | eom_application_open_uri_list ()
gboolean | eom_application_open_file_list ()
gboolean | eom_application_open_uris ()
EggToolbarsModel * | eom_application_get_toolbars_model ()
void | eom_application_save_toolbars_model ()
void | eom_application_reset_toolbars_model ()

## Types and Values

#define | EOM_APP
struct | EomApplication

## Object Hierarchy

        GObject
        ╰── GApplication
            ╰── GtkApplication
                ╰── EomApplication

## Implemented Interfaces

EomApplication implements GActionGroup and GActionMap.

## Description

## Functions

### eom_application_get_instance ()

    EomApplication *
    eom_application_get_instance (void);

Returns a singleton instance of EomApplication currently running. If not running yet, it will create one.

#### Returns

a running EomApplication.

[transfer none]

### eom_application_open_window ()

    gboolean
    eom_application_open_window (EomApplication *application,
                                 guint timestamp,
                                 EomStartupFlags flags,
                                 GError **error);

Opens and presents an empty EomWindow to the user. If there is an empty window already open, this will be used. Otherwise, a new one will be instantiated.

#### Parameters

application | An EomApplication. |
timestamp | The timestamp of the user interaction which triggered this call (see `gtk_window_present_with_time()`). |
flags | A set of EomStartupFlags influencing a new windows' state. |
error | Return location for a GError, or NULL to ignore errors. |

#### Returns

`FALSE` if `application` is invalid, `TRUE` otherwise

### eom_application_open_uri_list ()

    gboolean
    eom_application_open_uri_list (EomApplication *application,
                                   GSList *uri_list,
                                   guint timestamp,
                                   EomStartupFlags flags,
                                   GError **error);

Opens a list of images, from a list of URIs. See `eom_application_open_file_list()` for details.

#### Parameters

application | An EomApplication. |
uri_list | A list of URIs. | [element-type utf8]
timestamp | The timestamp of the user interaction which triggered this call (see `gtk_window_present_with_time()`). |
flags | A set of EomStartupFlags influencing a new windows' state. |
error | Return location for a GError, or NULL to ignore errors. |

#### Returns

Currently always `TRUE`.

### eom_application_open_file_list ()

    gboolean
    eom_application_open_file_list (EomApplication *application,
                                    GSList *file_list,
                                    guint timestamp,
                                    EomStartupFlags flags,
                                    GError **error);

Opens a list of files in a EomWindow. If an EomWindow displaying the first image in the list is already open, this will be used. Otherwise, an empty EomWindow is used, either already existing or newly created.

#### Parameters

application | An EomApplication. |
file_list | A list of GFiles. | [element-type GFile]
timestamp | The timestamp of the user interaction which triggered this call (see `gtk_window_present_with_time()`). |
flags | A set of EomStartupFlags influencing a new windows' state. |
error | Return location for a GError, or NULL to ignore errors. |

#### Returns

Currently always `TRUE`.

### eom_application_open_uris ()

    gboolean
    eom_application_open_uris (EomApplication *application,
                               gchar **uris,
                               guint timestamp,
                               EomStartupFlags flags,
                               GError **error);

Opens a list of images, from a list of URI strings. See `eom_application_open_file_list()` for details.

#### Parameters

application | an EomApplication |
uris | A GList of URI strings. |
timestamp | The timestamp of the user interaction which triggered this call (see `gtk_window_present_with_time()`). |
flags | A set of EomStartupFlags influencing a new windows' state. |
error | Return location for a GError, or NULL to ignore errors. |

#### Returns

Currently always `TRUE`.

### eom_application_get_toolbars_model ()

    EggToolbarsModel *
    eom_application_get_toolbars_model (EomApplication *application);

Retrieves the EggToolbarsModel for the toolbar in EomApplication.

#### Parameters

application | An EomApplication. |

#### Returns

An EggToolbarsModel.

[transfer none]

### eom_application_save_toolbars_model ()

    void
    eom_application_save_toolbars_model (EomApplication *application);

Causes the saving of the model of the toolbar in EomApplication to a file.

#### Parameters

application | An EomApplication. |

### eom_application_reset_toolbars_model ()

    void
    eom_application_reset_toolbars_model (EomApplication *app);

Restores the toolbars model to the defaults.

#### Parameters

app | an EomApplication |

## Types and Values

### EOM_APP

    #define EOM_APP				(eom_application_get_instance ())

### struct EomApplication

    struct EomApplication;